.quiz_screen {
    background: #fbfbfb;
    background-repeat: no-repeat;
    position: relative;
    background-size: cover;
    background-attachment: fixed;
    background: #fff;
}

.quiz_screen:after {
    content: '';
    background: rgba(255, 255, 255, 0.9);
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    left: 0px;
    top: 0px;
}

.quiz__control[disabled] {
    opacity: .5;
    pointer-events: none;
}

.quiz_screen_inner {
    margin: 0 auto;
    padding: 80px 20px;
    max-width: 1100px;
    z-index: 1;
    position: relative;
}

.quiz__answer-image-container {
    height: 200px;
    width: 100%;
    background-color: #ccc;
    object-fit: cover;
    display: block;
}

.quiz__answer-image-text {
    padding: 10px;
    font-size: 14px;
    line-height: 1.4;
    font-weight: 500;
    margin: 0;
    color: #555555;
}

.quiz__answer-image {
    overflow: hidden;
    border-radius: 5px;
    box-shadow: 0px 3px 7px rgb(0 0 0 / 6%);
    height: 100%;
    width: calc(33.3333% - 20px);
    margin: 10px;
    background: #fff;
    position: relative;
}

.quiz__answers {
    margin: 0;
    min-height: 365px;
    padding: 0 25px 25px 25px;
}

.quiz__title {
    font-size: 30px;
    font-weight: bold;
    color: #555;
    margin: 25px 25px 20px 25px;
}

.quiz__progress-bar-line {
    background: #3896f4;
    display: block;
    height: 10px;
    position: absolute;
    transition: .7s;
    border-radius: 5px;
    -webkit-animation: animate-stripes 2s linear infinite;
    -moz-animation: animate-stripes 2s linear infinite;
    animation: animate-stripes 4s linear infinite;
}

@-webkit-keyframes animate-stripes {
    0% {
        background-position: 0 0;
    }

    100% {
        background-position: 70px 0;
    }
}

@keyframes animate-stripes {
    0% {
        background-position: 0 0;
    }

    100% {
        background-position: 70px 0;
    }
}

@-moz-keyframes animate-stripes {
    0% {
        background-position: 0 0;
    }

    100% {
        background-position: 70px 0;
    }
}

.quiz__progress-bar-inner {
    width: 100%;
    height: 10px;
    background: #f8f8f8;
    border-radius: 5px;
    position: relative;
    overflow: hidden;
}

.quiz__progress-bar {
    margin: 30px 25px;
}

.quiz__progress-bar-line {
    -webkit-background-size: 30px 30px;
    -moz-background-size: 30px 30px;
    background-size: 30px 30px;
    background-image: -webkit-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);
    background-image: -webkit-linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);
    background-image: -moz-linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);
    background-image: -ms-linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);
    background-image: -o-linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);
    background-image: linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);
    background-size: 24px 29px;
}

.quiz__progress-bar-status {
    margin: 0 0 10px 0;
    color: #51a1f0;
    font-size: 14px;
    font-weight: 500;
    display: flex;
    align-items: center;
}

.quiz__progress-bar-status-num {
    font-weight: bold;
    font-size: 16px;
    margin-left: 6px;
    color: #3896f4;
}

.quiz__controls {
    display: flex;
    border-top: 1px solid whitesmoke;
    padding: 25px;
    margin-top: 20px;
    min-height: 110px;
    box-sizing: border-box;
}

.quiz__inner {
    display: flex;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0px 10px 50px rgb(0 0 0 / 5%);
    width: 100%;
    position: relative;
    min-height: 700px;
}

.quiz__sidebar {
    min-width: 220px;
    padding: 15px 10px;
    background: rgb(255 255 255 / 48%);
    max-width: 220px;
    box-sizing: border-box;
    box-shadow: 14px 0px 19px -20px rgb(0 0 0 / 10%) inset;
}

.quiz__sidebar-title-icon {
    color: #52ace2;
}

.quiz__sidebar-title-text {
    padding-left: 2px;
    font-weight: bold;
    font-size: 14px;
    color: #3c8fc1;
}

.quiz__sidebar-title {
    margin: 0 0 15px 0;
    text-align: center;
}

.quiz__sidebar-text {
    margin: 0 0 15px 0;
    background: rgb(255 255 255);
    padding: 10px;
    border-radius: 3px;
    font-size: 14px;
    line-height: 1.3;
    border-top: 3px solid #94deff;
    box-shadow: 0px 2px 10px rgb(148 222 255 / 19%);
}

.quiz__sidebar-text a {
    color: #52ace2;
    text-decoration: none;
    border-bottom: 1px dashed;
}

.quiz__content {
    background: rgb(255 255 255 / 90%);
    padding: 0;
    width: 100%;
}

.quiz__control {
    border: none;
    padding: 20px 30px;
    border-radius: 5px;
    background: #f0f0f0;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    color: #555555;
}

.quiz__control--next {
    background: #83c154;
    margin-left: auto;
    color: #fff;
    box-shadow: 0px 5px 10px rgb(131 193 84 / 17%);
}

.quiz__control:hover {
    opacity: .9;
}

.quiz__answers-slider {
}

.quiz__answers-slide {
    width: 100%;
    transition: .5s;
}

.quiz__answers-slide:not(.active) {
    /* display: none; */
    transform: scale(0);
    opacity: 0;
    height: 0;
}

.quiz__answer-text {
    border-radius: 5px;
    height: 60px;
    width: 100%;
    margin: 0;
    background: #fff;
    border: none;
    padding: 20px 30px;
    box-sizing: border-box;
    font-size: 16px;
    border: 1px solid #e6e6e6;
}

.quiz__answer-text::placeholder {
    color: #b7b7b7;
}

.quiz__answer-text-box {
    width: 100%;
    margin: 0;
}

.quiz__answer-text-select {
    border-radius: 5px;
    height: 60px;
    width: 100%;
    margin: 0;
    background: #fff;
    border: none;
    padding: 20px 30px;
    box-sizing: border-box;
    font-size: 16px;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background-image: url("data:image/svg+xml,%3Csvg width='10' height='6' viewBox='0 0 10 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M4.50495 5.78413L0.205241 1.25827C-0.0684138 0.970375 -0.0684138 0.503596 0.205241 0.215836C0.478652 -0.0719461 0.922098 -0.071946 1.19549 0.215837L5.00007 4.22052L8.80452 0.215953C9.07805 -0.0718292 9.52145 -0.0718292 9.79486 0.215953C10.0684 0.503736 10.0684 0.970492 9.79486 1.25839L5.49508 5.78425C5.35831 5.92814 5.17925 6 5.00009 6C4.82085 6 4.64165 5.928 4.50495 5.78413Z' fill='%238888'/%3E%3C/svg%3E%0A");
    background-repeat: no-repeat, repeat;
    background-position: right 1.5em top 50%, 0 0;
    background-size: .65em auto, 100%;
    border: 1px solid #e6e6e6;
}

.quiz__answer-select-box {
    margin: 0;
    width: 100%;
}

.quiz__answers-slide-inner {
    display: flex;
    flex-wrap: wrap;
    max-height: 365px;
    overflow-y: auto;
    /* padding: 20px 20px; */
}

.quiz__answers-slide-inner--cards {
    margin: 0 -10px;
}

.quiz__answer-image-color {
    border-radius: 5px;
    box-shadow: 0px 3px 10px rgb(0 0 0 / 6%);
    height: 100%;
    position: relative;
    overflow: hidden;
    width: calc(25% - 20px);
    margin: 10px;
    background: #fff;
}

.quiz__answer-image-color-text {
    padding: 10px;
    font-size: 14px;
    line-height: 1.4;
    font-weight: 500;
    margin: 0;
    color: #555555;
}

.quiz__answer-image-color-container {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 120px;
    width: 100%;
}

.quiz__answer:hover {
    cursor: pointer;
}

.quiz__answer-image-color.active:before, .quiz__answer-image.active:before {
    content: '';
    position: absolute;
    width: 15px;
    height: 15px;
    background: #ffffff;
    display: block;
    border-radius: 100%;
    left: 10px;
    top: 10px;
    box-shadow: 0px 0px 0px 5px rgb(93 166 238);
}

.quiz__answer-image-color.active, .quiz__answer-image.active {
    box-shadow: 0px 3px 7px rgb(54 145 236 / 17%);
}

.quiz__answer-text:focus, .quiz__answer-text:active {
    border: 1px solid rgb(54 145 236 / 44%);
}

.quiz__finish_slide_title {
    margin: 20px 0 40px 0;
    text-align: center;
    font-size: 33px;
    font-weight: bold;
    color: #555;
}

.quiz__finish_slide_inner {
    padding: 30px;
    box-sizing: border-box;
    width: 100%;
}

.quiz__finish_slide {
    width: 100%;
    background: rgb(255 255 255 / 80%);
}

.quiz__finish_slide_content {
    display: flex;
    flex-wrap: wrap;
    width: 500px;
    margin: 0 auto;
}

.quiz__form-block input.input_style {
    width: 100%;
    box-sizing: border-box;
    margin: 7px 0;
}

.quiz__finish_slide_info_invoice_btn {
    width: auto;
    padding: 15px;
    border: none;
    background: #b57bea;
    font-size: 17px;
    color: #fff;
    margin: 10px 0 0 0;
    display: inline-block;
    width: 100%;
    box-sizing: border-box;
    text-align: center;
    cursor: pointer;
}

.quiz__finish_slide_info_invoice_btn:hover {
    background: #464646;
}

.quiz__finish_slide_info_or_separator {
    text-align: center;
    margin: -5px 0;
    color: #9c9c9c;
    font-size: 15px;
}

.quiz__finish_slide_info_gift {
    background: linear-gradient(45deg, rgb(255 40 142 / 12%), rgb(198 75 249 / 15%));
    padding: 20px;
    border-radius: 0 0 10px 10px;
    display: flex;
    align-items: center;
}

.quiz__finish_slide_info {
    margin-top: 20px;
}

.quiz__finish_slide_info_gift_text {
    margin: 0 0 0 20px;
    color: #b97ca6;
    font-weight: 500;
}

.quiz__finish_slide_form {
    background: white;
    padding: 30px;
    box-shadow: 0px 5px 30px rgb(0 0 0 / 3%);
    border-radius: 5px;
    box-sizing: border-box;
    width: 100%;
}

.quiz__finish_slide_info_gift_icon {
    font-size: 30px;
    color: #f369c8;
}

.quiz__finish_slide_form_title {
    font-size: 19px;
    text-align: center;
    margin: 0 0 15px 0;
    color: #5ba3e0;
    font-weight: bold;
}

.quiz__form-block .w-form-done, .quiz__form-block .w-form-fail {
    box-sizing: border-box;
    margin-top: 10px;
}

.quiz__sidebar-image-container {
    width: 100%;
    margin: 0;
    border-radius: 0;
    box-sizing: border-box;
    box-shadow: 0px 2px 10px rgb(0 0 0 / 3%);
}

.quiz__sidebar-image {
    margin-top: 10px;
}

.quiz__start_slide {
    position: absolute;
    width: 100%;
    height: 100%;
    display: block;
    z-index: 1;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 400px;
}

.quiz__start_slide_inner {
    padding: 230px 100px;
    box-sizing: border-box;
    text-align: center;
    height: 100%;
    background: rgb(53 53 53 / 85%);
    width: 100%;
}

.quiz__start_slide_btn {
    background: #83c154;
    margin-left: auto;
    color: #fff;
    box-shadow: 0px 5px 10px rgb(131 193 84 / 52%);
    border: none;
    padding: 20px 30px;
    border-radius: 5px;
    font-size: 21px;
    font-weight: bold;
    cursor: pointer;
    display: inline-block;
    text-align: center;
    min-width: 200px;
    text-transform: uppercase;
    position: relative;
    transition: .3s;
    overflow: hidden;
}

.quiz__start_slide_btn:hover {
    box-shadow: 0px 5px 30px rgb(131 193 84 / 52%);
    background: #99dc66;
}

.quiz__start_slide_btn:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 1.5em;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.6);
    transform: translateX(-4em) skewX(-45deg);
}

.quiz__start_slide_btn:hover:before {
    animation: move-light 0.5s;
}

@keyframes move-light {
    from {
        transform: translateX(-4em) skewX(-45deg);
    }

    to {
        transform: translateX(20em) skewX(-45deg);
    }
}

@-webkit-keyframes move-light {
    from {
        transform: translateX(-4em) skewX(-45deg);
    }

    to {
        transform: translateX(20em) skewX(-45deg);
    }
}

.quiz__start_slide_btn:not(:hover) {
    -webkit-animation: jittery 3.5s infinite;
    animation: jittery 3.5s infinite;
    will-change: auto;
}

.quiz__start_slide_btn:not(:hover):before {
    animation: move-light-infinite 2s infinite;
}

@keyframes move-light-infinite {
    5%, 50% {
        transform: translateX(-4em) skewX(-45deg);
    }

    100% {
        transform: translateX(20em) skewX(-45deg);
    }
}

@-webkit-keyframes move-light-infinite {
    5%, 50% {
        transform: translateX(-4em) skewX(-45deg);
    }

    100% {
        transform: translateX(20em) skewX(-45deg);
    }
}

@-webkit-keyframes jittery {
    5%, 50% {
        transform: scale(1);
    }

    10% {
        transform: scale(0.9);
    }

    20% {
        transform: scale(1.10);
    }

    30% {
        transform: scale(1.12);
    }

    40% {
        transform: scale(1);
    }
}

@keyframes jittery {
    5%, 50% {
        transform: scale(1);
    }

    10% {
        transform: scale(0.9);
    }

    20% {
        transform: scale(1.10);
    }

    30% {
        transform: scale(1.12);
    }

    40% {
        transform: scale(1);
    }
}

.quiz__start_slide_text {
    font-size: 50px;
    color: #fff;
    font-weight: bold;
    max-width: 700px;
    text-align: center;
    margin: 0 auto 50px auto;
}

.quiz_file_button_icon {
    width: 15px;
    height: 15px;
    margin-right: 10px;
    max-width: 15px;
    max-height: 15px;
}

.quiz_file_button {
    width: 100%;
    padding: 12px;
    border: none;
    background: rgb(0 0 0 / 7%);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 3px;
    color: #555;
    font-size: 16px;
}

.quiz_file_button:hover {
    background: rgb(0 0 0 / 9%);
    cursor: pointer;
}

.quiz_file_block {
    width: 100%;
    margin: 6px 0;
}

.quiz_file_button_text {
    line-height: 1;
}

@media(max-width: 900px) {
    .quiz__answer-image {
        width: calc(50% - 20px);
    }
}

@media(max-width: 700px) {
    .quiz__answer-image {
        width: calc(100% - 20px);
    }
}

@media(max-width: 550px) {
    .quiz__finish_slide_info_invoice_btn, .quiz__finish_slide_info_or_separator {
        display: none;
    }

    .quiz_screen_inner {
        padding: 15px;
    }

    .quiz__control {
        padding: 10px 20px;
        font-size: 14px;
        height: 45px;
    }

    .quiz__control + .quiz__control{
        margin-left: 10px;
    }

    .quiz__content {
        border-radius: 5px;
    }

    .quiz__sidebar-text {
        font-size: 13px;
    }

    .quiz__start_slide_text {
        font-size: 35px;
        align-self: flex-end;
    }

    .quiz__start_slide_btn {
        max-width: 250px;
        padding: 15px;
        margin: 0;
        align-self: baseline;
    }

    .quiz__inner {
        flex-wrap: wrap;
        min-height: 500px;
    }

    .quiz__sidebar-hint {
        width: 100%;
        margin: 10px;
    }

    .quiz-fancy-hint:hover {
        cursor: pointer;
    }

    .quiz__sidebar {
        width: 100%;
        max-width: 100%;
        display: block;
        padding: 10px;
        flex-wrap: wrap;
        box-shadow: none;
        background: rgb(255 255 255 / 75%);
        border-top: 1px solid #f8f8f8;
    }

    .quiz__sidebar-title {
        width: 100%;
        margin: 10px 0 5px 0;
        display: inline-block;
    }

    .quiz__answer-image {
        width: calc(50% - 20px);
    }

    .quiz__answer-image-container {
        height: 100px;
    }

    .quiz__answer-image-color {
        width: calc(50% - 20px);
    }

    .quiz__answers {
        min-height: auto;
    }

    .quiz__answers-slide-inner {
    }

    .quiz__finish_slide_content {
        box-sizing: border-box;
        width: 100%;
    }

    .quiz__start_slide_inner {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
        height: auto;
    }

    .quiz__start_slide {
        height: 500px;
    }

    .quiz__start_slide:visible ~ div {
        display: none;
    }
}

@media(max-width: 450px) {
    .quiz__answer-image {
        width: calc(100% - 20px);
    }

    .quiz__answer-image-color {
        width: calc(100% - 20px);
    }

    .quiz__answer-image-container {
        height: 120px;
    }
}

@media(max-width: 400px) {
    .quiz__finish_slide_inner {
        padding: 0;
    }

    .quiz__finish_slide_info_gift_text {
        font-size: 14px;
    }

    .quiz__finish_slide_form {
        padding: 20px;
    }

    .quiz__answer-text-select, .quiz__answer-text {
        height: 50px;
        padding: 15px 20px;
    }

    .quiz__progress-bar {
        margin: 20px 15px;
    }

    .quiz__finish_slide_title {
        font-size: 25px;
        margin: 20px;
    }

    .quiz__finish_slide_form_title {
        font-size: 17px;
    }

    .quiz__controls {
        padding: 15px;
        min-height: auto;
        margin-top: 10px;
    }

    .quiz__control {
    }

    .quiz__answers {
        padding: 0 15px 10px 15px;
    }

    .quiz__title {
        font-size: 22px;
        margin: 15px 15px 10px 15px;
    }

    .quiz__sidebar-hint {
    }

    .quiz__sidebar {
        padding: 5px;
        /* flex-wrap: wrap; */
    }
}
